org.apache.commons.math3.geometry.euclidean.threed

## Class Euclidean3D

- java.lang.Object
- - org.apache.commons.math3.geometry.euclidean.threed.Euclidean3D

- All Implemented Interfaces:
    Serializable, Space

      public class Euclidean3D
      extends Object
      implements Serializable, Space

  This class implements a three-dimensional space.
  Since:
    3.0
  Version:
    $Id: Euclidean3D.java 1416643 2012-12-03 19:37:14Z tn $
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private static class` | `Euclidean3D.LazyHolder` Holder for the instance.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version identifier.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Euclidean3D()` Private constructor for the singleton.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDimension()` Get the dimension of the space.
    `static Euclidean3D` | `getInstance()` Get the unique instance.
    `Euclidean2D` | `getSubSpace()` Get the n-1 dimension subspace of this space.
    `private Object` | `readResolve()` Handle deserialization of the singleton.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Euclidean3D

          private Euclidean3D()

      Private constructor for the singleton.

  - ### Method Detail

    - #### getInstance

          public static Euclidean3D getInstance()

      Get the unique instance.
      Returns:
        the unique instance

    - #### getDimension

          public int getDimension()

      Get the dimension of the space.
      Specified by:
        `getDimension` in interface `Space`
      Returns:
        dimension of the space

    - #### getSubSpace

          public Euclidean2D getSubSpace()

      Get the n-1 dimension subspace of this space.
      Specified by:
        `getSubSpace` in interface `Space`
      Returns:
        n-1 dimension sub-space of this space
      See Also:
        `Space.getDimension()`

    - #### readResolve

          private Object readResolve()

      Handle deserialization of the singleton.
      Returns:
        the singleton instance

Copyright (c) 2003-2013 Apache Software Foundation